package com.ruoyi.ibs.grid.domain.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class AnchorVo implements Serializable {
    private Long id;

    //证件号
    private String legalId;

    //证件号
    private String custId;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    private String anchorName;
    /**
     * 所在行业。用户编辑输入/图商返回
     */
    private String belongBusiness;
    /**
     * 来源，导入或地图更新推送，取最新一次地址更新时对应的来源（导入/编辑均为手工导入）
     */
    private String source;
    /**
     * 地址名称;类似经营地址/注册地址
     */
    private String addressName;
    private String address;
    private String province;
    private String city;
    private String county;
    /**
     * 街道/镇，取使用地址对应值的解析结果-行政区划乡镇/街道级
     */
    private String street;
    /**
     * 社区/村，取使用地址对应值的解析结果-行政区划村/社区级
     */
    private String community;
    /**
     * 详细地址，取使用地址对应值的解析结果-楼幢门牌号
     */
    private String addressDetail;
    /**
     * 分配引擎跑批后，取使用地址上图，取上图结果
     */
    private String status;
    /**
     * 锚点描述，用户在人工审核页填写的备注，在锚点编辑页填写的锚点备注
     */
    private String anchorRemark;
    /**
     * 经度，取使用地址对应的经度
     */
    private String longitude;
    /**
     * 纬度，取使用地址对应纬度
     */
    private String latitude;

    private String type;

    private String custStatus;

    private String custAddressStatus;

    public String getCustId() {
        return custId;
    }

    public void setCustId(String custId) {
        this.custId = custId;
    }

    public String getCustStatus() {
        return custStatus;
    }

    public void setCustStatus(String custStatus) {
        this.custStatus = custStatus;
    }

    public String getCustAddressStatus() {
        return custAddressStatus;
    }

    public void setCustAddressStatus(String custAddressStatus) {
        this.custAddressStatus = custAddressStatus;
    }

    public String getLegalId() {
        return legalId;
    }

    public void setLegalId(String legalId) {
        this.legalId = legalId;
    }

    public String getType() {
        return type;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getCounty() {
        return county;
    }

    public void setCounty(String county) {
        this.county = county;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getStreet() {
        return street;
    }

    public void setStreet(String street) {
        this.street = street;
    }

    public String getCommunity() {
        return community;
    }

    public void setCommunity(String community) {
        this.community = community;
    }

    public String getAddressDetail() {
        return addressDetail;
    }

    public void setAddressDetail(String addressDetail) {
        this.addressDetail = addressDetail;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAnchorRemark() {
        return anchorRemark;
    }

    public void setAnchorRemark(String anchorRemark) {
        this.anchorRemark = anchorRemark;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }
}
